Bug 53646 - anaconda-ia64 failed to open rpm database
anaconda-ia64 failed to open rpm database
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
roswell
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-13 15:48 EDT by Mike Sklar
Modified: 2007-04-18 12:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-26 12:55:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Sklar 2001-09-13 15:48:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010809

Description of problem:
roswell2 ia64 beta
4x LION C0 stepping
20GB memory

Traceback (innermost last):
  File "/usr/bin/anaconda", line 620, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/gui.py", line 353, in run
    self.icw.run (self.runres, configFileData)
  File "/usr/lib/anaconda/gui.py", line 781, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2608, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/anaconda/gui.py", line 500, in handleRenderCallback
    self.currentWindow.renderCallback()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 135, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 402, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 142, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 207, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 457, in doInstall
    db = rpm.opendb(1, instPath)
rpm.error: cannot open

Local variables in innermost frame:
id: <instdata.InstallData instance at 60000000005fd400>
instPath: /mnt/sysimage
upgrade: 0
method: <image.CdromInstallMethod instance at 6000000000554b40>
intf: <gui.InstallInterface instance at 600000000070a010>


Dispatcher instance, containing members:
skipSteps: {'reconfigwelcome': 1, 'fdisk': 1, 'xcustom': 1, 'findpackages':
1, 'autopartitionexecute': 1, 'bootdisk': 1, 'upgradeswapsuggestion': 1,
'reconfigkeyboard': 1, 'findinstall': 1, 'findrootparts': 1,
 'upgradecontinue': 1, 'bootloader': 1, 'autopartition': 1, 'addswap': 1,
'indivpackage': 1, 'makebootdisk': 1, 'bootloaderpassword': 1,
'migratefilesystems': 1, 'writexconfig': 1, 'upgrademount': 1, 'confirmu
pgrade': 1, 'reconfigcomplete': 1, 'upgrademigratefs': 1, 'monitor': 1,
'dependencies': 1, 'upgrademigfind': 1}
dir: 1
id: InstallData instance, containing members:
  configFileData: {'Splashscreen': 'pixmaps/first.png', 'WelcomeScreen':
'pixmaps/splash.png', 'TitleBar': 'pixmaps/anaconda_header.png', 'Title':
'Red Hat Linux Beta'}
  upgradeSwapInfo: None
  langSupport: Language instance, containing members:
    langList: None
    allSupportedLangs: None
    supported: ['English (USA)']
    langNicks: None
    default: English (USA)
    langInfoByName: {'Spanish (Colombia)': ('es_CO', 'iso01',
'lat0-sun16'), 'Spanish (Argentina)': ('es_AR', 'iso01', 'lat0-sun16'),
'Italian (Italy)': ('it_IT@euro', 'iso15', 'lat0-sun16'), 'Arabic (Lebanon)
': ('ar_LB', 'iso06', 'LatArCyrHeb-16'), 'Spanish (Guatemala)': ('es_GT',
'iso01', 'lat0-sun16'), 'Malay (Malaysia)': ('ms_MY', 'iso01',
'lat0-sun16'), 'Arabic (Libyan Arab Jamahiriya)': ('ar_LY', 'iso06', 'La
tArCyrHeb-16'), 'Arabic (Oman)': ('ar_OM', 'iso06', 'LatArCyrHeb-16'),
'Arabic (Iraq)': ('ar_IQ', 'iso06', 'LatArCyrHeb-16'), 'Arabic (Kuwait)':
('ar_KW', 'iso06', 'LatArCyrHeb-16'), 'English (South Africa)': 
('en_ZA', 'iso01', 'lat0-sun16'), 'French (Switzerland)': ('fr_CH',
'iso01', 'lat0-sun16'), 'Arabic (Bahrein)': ('ar_BH', 'iso06',
'LatArCyrHeb-16'), 'Croatian': ('hr_HR', 'iso02', 'lat2-sun16'), 'French (Fran
ce)': ('fr_FR@euro', 'iso15', 'lat0-sun16'), 'Greenlandic (Greenland)':
('kl_GL', 'iso01', 'lat0-sun16'), 'Korean (Republic of Korea)':
('ko_KR.eucKR', 'iso01', 'lat0-sun16'), 'Ukrainian': ('uk_UA', 'koi8-u', 
'cyr-sun16'), 'Spanish (Mexico)': ('es_MX', 'iso01', 'lat0-sun16'),
'Greek': ('el_GR', 'iso07', 'iso07.16'), 'Spanish (El Salvador)': ('es_SV',
'iso01', 'lat0-sun16'), 'Spanish (Peru)': ('es_PE', 'iso01', 'lat
0-sun16'), 'Spanish (Honduras)': ('es_HN', 'iso01', 'lat0-sun16'), 'Spanish
(Costa Rica)': ('es_CR', 'iso01', 'lat0-sun16'), 'English (Denmark)':
('en_DK', 'iso01', 'lat0-sun16'), 'Dutch (Netherlands)': ('nl_N
L@euro', 'iso15', 'lat0-sun16'), 'Serbian (Yugoslavia)': ('sr_YU@cyrillic',
'iso05', 'cyr-sun16'), 'Bosnian (Bosnia and Herzegowina)': ('bs_BA',
'iso02', 'lat2-sun16'), 'Russian (Ukraine)': ('ru_UA', 'koi8-u',
 'cyr-sun16'), 'Portuguese (Portugal)': ('pt_PT@euro', 'iso15',
'lat0-sun16'), 'Afrikaans (South Africa)': ('af_ZA', 'iso01',
'lat0-sun16'), 'Norwegian': ('no_NO', 'iso01', 'lat0-sun16'), 'Arabic
(Morocco)': (
'ar_MA', 'iso06', 'LatArCyrHeb-16'), 'English (Philippines)': ('en_PH',
'iso01', 'lat0-sun16'), 'Arabic (Algeria)': ('ar_DZ', 'iso06',
'LatArCyrHeb-16'), 'Indonesian': ('id_ID', 'iso01', 'lat0-sun16'), 'Danish
': ('da_DK', 'iso01', 'lat0-sun16'), 'Chinese (Taiwan R.O.C.)':
('zh_TW.Big5', 'iso01', 'lat0-sun16'), 'Faroese (Faroe Islands)': ('fo_FO',
'iso01', 'lat0-sun16'), 'Galician (Spain)': ('gl_ES@euro', 'iso15', '
lat0-sun16'), 'English (New Zealand)': ('en_NZ', 'iso01', 'lat0-sun16'),
'Spanish (Bolivia)': ('es_BO', 'iso01', 'lat0-sun16'), 'Cornish (Britain)':
('kw_GB', 'iso01', 'lat0-sun16'), 'Arabic (United Arab Emira
tes)': ('ar_AE', 'iso06', 'LatArCyrHeb-16'), 'Spanish (Nicaragua)':
('es_NI', 'iso01', 'lat0-sun16'), 'German (Austria)': ('de_AT@euro',
'iso15', 'lat0-sun16'), 'Romanian': ('ro_RO', 'iso02', 'lat2-sun16'), 'S
panish (Paraguay)': ('es_PY', 'iso01', 'lat0-sun16'), 'Hebrew (Israel)':
('he_IL', 'iso08', 'LatArCyrHeb-16'), 'German (Luxemburg)': ('de_LU@euro',
'iso15', 'lat0-sun16'), 'Spanish (USA)': ('es_US', 'iso01', '
lat0-sun16'), 'Portuguese (Brasil)': ('pt_BR', 'iso01', 'lat0-sun16'),
'Spanish (Equador)': ('es_EC', 'iso01', 'lat0-sun16'), 'Polish': ('pl_PL',
'iso02', 'lat2-sun16'), 'Slovak': ('sk_SK', 'iso02', 'lat2-sun1
6'), 'Macedonian': ('mk_MK', 'iso05', 'cyr-sun16'), 'Spanish (Spain)':
('es_ES@euro', 'iso15', 'lat0-sun16'), 'Spanish (Chile)': ('es_CL',
'iso01', 'lat0-sun16'), 'Arabic (Syrian Arab Republic)': ('ar_SY', 'is
o06', 'LatArCyrHeb-16'), 'Czech': ('cs_CZ', 'iso02', 'lat2-sun16'),
'Irish': ('ga_IE@euro', 'iso15', 'lat0-sun16'), 'Arabic (Jordan)':
('ar_JO', 'iso06', 'LatArCyrHeb-16'), 'Italian (Switzerland)': ('it_CH', '
iso01', 'lat0-sun16'), 'German (Belgium)': ('de_BE@euro', 'iso15',
'lat0-sun16'), 'Albanian': ('sq_AL', 'iso01', 'lat0-sun16'), 'Occitan
(France)': ('oc_FR', 'iso01', 'lat0-sun16'), 'Finnish': ('fi_FI@euro', '
iso15', 'lat0-sun16'), 'Swedish (Sweden)': ('sv_SE', 'iso01',
'lat0-sun16'), 'English (Singapore)': ('en_SG', 'iso01', 'lat0-sun16'),
'Dutch (Belgium)': ('nl_BE@euro', 'iso15', 'lat0-sun16'), 'Spanish (Panama)
': ('es_PA', 'iso01', 'lat0-sun16'), 'Spanish (Venezuela)': ('es_VE',
'iso01', 'lat0-sun16'), 'English (Great Britain)': ('en_GB', 'iso01',
'lat0-sun16'), 'Russian': ('ru_RU.koi8r', 'koi8-u', 'cyr-sun16'), 'No
rwegian, Nynorsk (Norway)': ('nn_NO', 'iso01', 'lat0-sun16'), 'English
(Zimbabwe)': ('en_ZW', 'iso01', 'lat0-sun16'), 'English (USA)': ('en_US',
'iso01', 'lat0-sun16'), 'Tagalog (Philipines)': ('tl_PH', 'iso01
', 'lat0-sun16'), 'Breton (France)': ('br_FR', 'iso01', 'lat0-sun16'),
'Chinese (P.R. of China)': ('zh_CN.GB2312', 'iso01', 'lat0-sun16'), 'Arabic
(Yemen)': ('ar_YE', 'iso06', 'LatArCyrHeb-16'), 'Basque (Spain
)': ('eu_ES@euro', 'iso15', 'lat0-sun16'), 'Arabic (Qatar)': ('ar_QA',
'iso06', 'LatArCyrHeb-16'), 'Arabic (Egypt)': ('ar_EG', 'iso06',
'LatArCyrHeb-16'), 'French (Belgium)': ('fr_BE@euro', 'iso15', 'lat0-sun1
6'), 'English (Ireland)': ('en_IE@euro', 'iso15', 'lat0-sun16'),
'Hungarian': ('hu_HU', 'iso02', 'lat2-sun16'), 'Arabic (Tunisia)':
('ar_TN', 'iso06', 'LatArCyrHeb-16'), 'French (Luxemburg)': ('fr_LU@euro', 'i
so15', 'lat0-sun16'), 'Japanese': ('ja_JP.eucJP', 'iso01', 'lat0-sun16'),
'Uzbek (Uzbekistan)': ('uz_UZ', 'iso01', 'lat0-sun16'), 'Swedish
(Finland)': ('sv_FI@euro', 'iso15', 'lat0-sun16'), 'Arabic (Saudi Arab
ia)': ('ar_SA', 'iso06', 'LatArCyrHeb-16'), 'Spanish (Dominican Republic)':
('es_DO', 'iso01', 'lat0-sun16'), 'French (Canada)': ('fr_CA', 'iso01',
'lat0-sun16'), 'English (Canada)': ('en_CA', 'iso01', 'lat0-s
un16'), 'German (Germany)': ('de_DE@euro', 'iso15', 'lat0-sun16'),
'Slovenian (Slovenia)': ('sl_SI', 'iso02', 'lat2-sun16'), 'Spanish
(Uruguay)': ('es_UY', 'iso01', 'lat0-sun16'), 'German (Switzerland)': ('de_
CH', 'iso01', 'lat0-sun16'), 'English (Hong Kong)': ('en_HK', 'iso01',
'lat0-sun16'), 'English (Australia)': ('en_AU', 'iso01', 'lat0-sun16'),
'Catalan (Spain)': ('ca_ES@euro', 'iso15', 'lat0-sun16'), 'Spanish
 (Puerto Rico)': ('es_PR', 'iso01', 'lat0-sun16'), 'Turkish': ('tr_TR',
'iso09', 'lat5-sun16'), 'Estonian': ('et_EE', 'iso01', 'lat0-sun16'),
'Arabic (Sudan)': ('ar_SD', 'iso06', 'LatArCyrHeb-16'), 'Icelandic'
: ('is_IS', 'iso01', 'lat0-sun16'), 'English (Botswana)': ('en_BW',
'iso01', 'lat0-sun16'), 'Manx Gaelic (Britain)': ('gv_GB', 'iso01',
'lat0-sun16')}
    info: {'SYSFONT': 'lat0-sun16', 'SUPPORTED': 'en_US:en', 'SYSFONTACM':
'iso01', 'LANG': 'en_US'}
  rootPassword: None
  diskset: DiskSet instance, containing members:
    disks: {'sda': <PedDisk object at 60000000002abe00>}
  tmpData: {'Splashscreen': 'pixmaps/first.png', 'WelcomeScreen':
'pixmaps/splash.png', 'TitleBar': 'pixmaps/anaconda_header.png', 'Title':
'Red Hat Linux Beta'}
  instLanguage: InstallTimeLanguage instance, containing members:
    kbd: {'Italian': 'it', 'Chinese(Traditional)': 'us', 'Korean': 'us',
'Russian': 'ru', 'English': 'us', 'Spanish': 'es', 'Norwegian':
'no-latin1', 'Swedish': 'se-latin1', 'French': 'fr-latin1', 'Japanese': 
'jp106', 'Slovenian': 'slovene', 'German': 'de-latin1-nodeadkeys',
'Chinese(Simplified)': 'us', 'Czech': 'cz-lat2', 'Icelandic': 'is-latin1'}
    font: {'Italian': 'lat0-sun16', 'Chinese(Traditional)': 'None',
'Korean': 'None', 'Russian': 'cyr-sun16', 'English': 'default8x16',
'Spanish': 'lat0-sun16', 'Norwegian': 'lat0-sun16', 'Swedish': 'lat0-sun1
6', 'French': 'lat0-sun16', 'Japanese': 'Kon', 'Slovenian': 'lat2-sun16',
'German': 'lat0-16', 'Chinese(Simplified)': 'None', 'Czech': 'lat2-sun16',
'Icelandic': 'lat0-sun16'}
    langNicks: {'Italian': 'it_IT', 'Chinese(Traditional)': 'zh_TW.Big5',
'Korean': 'ko_KR.eucKR', 'Russian': 'ru_RU.koi8r', 'English': 'en_US',
'Spanish': 'es_ES', 'Norwegian': 'no_NO', 'Swedish': 'sv_SE', 'F
rench': 'fr_FR', 'Japanese': 'ja_JP.eucJP', 'Slovenian': 'sl_SI', 'German':
'de_DE', 'Chinese(Simplified)': 'zh_CN.GB2312', 'Czech': 'cs_CZ',
'Icelandic': 'is_IS'}
    langList: ['Chinese(Simplified)', 'Chinese(Traditional)', 'Czech',
'English', 'French', 'German', 'Icelandic', 'Italian', 'Japanese',
'Korean', 'Norwegian', 'Russian', 'Slovenian', 'Spanish', 'Swedish']
    tz: {'Italian': 'Europe/Rome', 'Chinese(Traditional)': 'Asia/Taipei',
'Korean': 'Asia/Seoul', 'Russian': 'Europe/Moscow', 'English':
'America/New_York', 'Spanish': 'Europe/Madrid', 'Norwegian': 'Europe/Osl
o', 'Swedish': 'Europe/Stockholm', 'French': 'Europe/Paris', 'Japanese':
'Asia/Tokyo', 'Slovenian': 'Europe/Ljubljana', 'German': 'Europe/Berlin',
'Chinese(Simplified)': 'Asia/Shanghai', 'Czech': 'Europe/Pragu
e', 'Icelandic': 'Atlantic/Reykjavik'}
    tempDefault:
    map: {'Italian': 'iso15', 'Chinese(Traditional)': 'None', 'Korean':
'None', 'Russian': 'koi8-r', 'English': 'iso01', 'Spanish': 'iso15',
'Norwegian': 'iso15', 'Swedish': 'iso15', 'French': 'iso15', 'Japane
se': 'None', 'Slovenian': 'iso02', 'German': 'iso09',
'Chinese(Simplified)': 'None', 'Czech': 'iso02', 'Icelandic': 'iso15'}
    current: en_US
  desktop: Desktop instance, containing members:
    runlevel: 5
    info: {'DESKTOP': 'GNOME'}

  videocard: VideoCardInfo instance, containing members:
    orig_videocards: [<videocard.VideoCard instance at 60000000002d1ee0>]
    primary: 0
    videocards: [<videocard.VideoCard instance at 60000000001952f0>]
    orig_primary: 0
  floppyDevice: hda
  xconfig: XF86Config instance, containing members:
    keyLayout: us
    manualModes: {}
    mouse: Mouse instance, containing members:
      device: psaux
      info: {'XMOUSETYPE': 'PS/2', 'FULLNAME': 'Generic - 3 Button Mouse
(PS/2)', 'MOUSETYPE': 'ps/2'}
      emu: 0
      wasProbed: 1
      emulate: 0
    monlist: {}
    keyRules: xfree86
    keyModel: pc105
    device: None
    monids: {}
    files:
# The location of the RGB database.  Note, this is the name of the
# file minus the extension (like ".txt" or ".db").  There is normally
# no need to change the default.

    RgbPath     "/usr/X11R6/lib/X11/rgb"

# Multiple FontPath entries are allowed (they are concatenated together)
# By default, Red Hat 6.0 and later now use a font server independent of
# the X server to render fonts.

    FontPath   "unix/:7100"

    keyVariant:
    videocard: VideoCard instance, containing members:
      server: XFree86
      cardManf: None
      devID: ATI Mach64
      probedcard: Card:ATI Mach64
      vidRam: 1024
      device: None
      fbmodes: None
      descr: ATI Mach64
      fbbpp: None
      cardData: {'SERVER': 'Mach64', 'NAME': 'ATI Mach64', 'DRIVER': 'ati',
'NOCLOCKPROBE': '', 'CHIPSET': 'ati'}
    keyOptions:
    modes: {'16': ['640x480', '800x600'], '32': [], '8': ['640x480',
'800x600', '1024x768', '1152x864']}
    res: 800x600
    monitor: MonitorInfo instance, containing members:
      monlist: None
      fbmonMode: {}
      monids: None
      monVert: 50-70
      orig_monHoriz: None
      orig_monID: Unprobed Monitor
      orig_monEisa: None
      orig_monVert: None
      fbmonSect:
      orig_monName: None
      monHoriz: 31.5-48.5
      monEisa: None
      orig_fbmonSect:
      monName: None
      monID: Unprobed Monitor
    skipx: 1
    fallbackModes: {'16': ['800x600']}
    skip: 0
    fbDepth: 16
  monitor: Already dumped
  upgrade: Boolean instance, containing members:
    val: 0
  instClass: InstallClass instance, containing members:
  partitions: Partitions instance, containing members:
    deletes: []
    reinitializeDisks: 0
    autoPartitionRequests: [<partitioning.PartitionSpec instance at
60000000009bf560>, <partitioning.PartitionSpec instance at
60000000009d6560>, <partitioning.PartitionSpec instance at 60000000007805d0>]
    nextUniqueID: 5
    autoClearPartType: 1
    requests: [<partitioning.PartitionSpec instance at 600000000024ebc0>,
<partitioning.PartitionSpec instance at 600000000050fe80>,
<partitioning.PartitionSpec instance at 6000000000510590>, <partitioning.Par
titionSpec instance at 60000000009d6530>]
    autoClearPartDrives: []
    useFdisk: 0
    useAutopartitioning: 0
  extraModules: []
  mouse: Already dumped
  bootloader: ia64BootloaderInfo instance, containing members:
    useGrubVal: 1
    forceLBA32: 0
    password: None
    images: BootImages instance, containing members:
      images: {'sda6': ('linux', 'Red Hat Linux', 'ext3')}
      default: sda6
    pure: None
    device: None
    configfile: /boot/efi/elilo.conf
    above1024: 1

    kernelLocation: 
    args: KernelArguments instance, containing members:
      args:  
    defaultDevice: None
    useLinear: 1
  timezone: Timezone instance, containing members:
    tz: America/New_York
    arc: 0
    utc: 0
  keyboard: Keyboard instance, containing members:
    beenset: 1
    layout: None
    model: None
    type: PC
    info: {'KEYBOARDTYPE': 'pc', 'KEYTABLE': 'us'}
  accounts: None
  dependencies: []
  comps: None 
  upgradeRoot: None
  auth: Authentication instance, containing members:
    useNIS: 0
    nisServer: 
    useLdap: 0
    krb5Kdc: 
    useHesiod: 0
    ldapServer: 
    hesiodRhs:
    useLdapauth: 0
    enableCache: 0
    krb5Admin: 
    ldapBasedn:
    useSamba: 0
    krb5Realm:
    useMD5: 1
    ldapTLS: 0 
    sambaWorkgroup: 
    nisDomain:  
    sambaServer: 
    useShadow: 1
    nisuseBroadcast: 1
    useKrb5: 0
    hesiodLhs: 
  instProgress: InstallProgressWindow instance, containing members:
    pixtimer: Timer instance, containing members:
      total: 0
      startedAt: 1000376294.08
    progress: GtkProgressBar instance, containing members:
      _o: <GtkObject of type GtkProgressBar at 6000000000cc9b90>
    ics: InstallControlState instance, containing members:
      nextButton: Button_Next
      cw: InstallControlWindow instance, containing members:
        buff: None
        configFileData: {'Splashscreen': 'pixmaps/first.png',
'WelcomeScreen': 'pixmaps/splash.png', 'TitleBar':
'pixmaps/anaconda_header.png', 'Title': 'Red Hat Linux Beta'}
        bin: GtkFrame instance, containing members:
          _o: <GtkObject of type GtkFrame at 6000000000513040>
        langSearchPath: ['en_US', 'en', 'C']
        helpState: 1
        showHelpButton: GnomePixmapButton instance, containing members:
          _o: <GtkObject of type GtkButton at 60000000005f9690>
        html: GtkXmHTML instance, containing members:
          _o: <GtkObject of type GtkXmHTML at 6000000000292fe0>
        window: GtkWindow instance, containing members:
          _o: <GtkObject of type GtkWindow at 60000000009d56b0>
        prevButtonStock: GnomePixmapButton instance, containing members:
          _o: <GtkObject of type GtkButton at 60000000005f9510>
        helpFrame: GtkFrame instance, containing members:
          _o: <GtkObject of type GtkFrame at 600000000099cb00>
        box: GtkVBox instance, containing members:
          _o: <GtkObject of type GtkVBox at 60000000009a0ec0>
        hbox: GtkHBox instance, containing members:
          _o: <GtkObject of type GtkHBox at 60000000009a3620>
        releaseButton: GnomePixmapButton instance, containing members:
          _o: <GtkObject of type GtkButton at 60000000005f9610>
        table: GtkTable instance, containing members:
          _o: <GtkObject of type GtkTable at 600000000099dcf0>
        windowList: []
        installFrame: GtkFrame instance, containing members:
          _o: <GtkObject of type GtkFrame at 60000000009a10e0>
        currentWindow: Already dumped
        ii: InstallInterface instance, containing members:
   ppw: Already dumped
          dispatch: Already dumped
          runres: 800x600
          icw: Already dumped
        reloadRcQueued: 0
        dispatch: Already dumped 
        dir: 1
        nextButtonStock: GnomePixmapButton instance, containing members:
          _o: <GtkObject of type GtkButton at 60000000005f9590>
        hideHelpButton: GnomePixmapButton instance, containing members:
          _o: <GtkObject of type GtkButton at 60000000005f9710>
        buttonBox: GtkHButtonBox instance, containing members:
          _o: <GtkObject of type GtkHButtonBox at 60000000000a93b0>
        handle: 444
       stockButtons: [('Button_Prev', 'prevButtonStock', 'Back', <method
InstallControlWindow.prevClicked of InstallControlWindow instance at
60000000009d10f0>), ('Button_Next', 'nextButtonStock', 'Next', <me
thod InstallControlWindow.nextClicked of InstallControlWindow instance at
60000000009d10f0>), ('Button_Help', 'releaseButton', 'Release Notes',
<method InstallControlWindow.releaseClicked of InstallControlWind
ow instance at 60000000009d10f0>), ('Button_Help', 'showHelpButton', 'Show
Help', <method InstallControlWindow.helpClicked of InstallControlWindow
instance at 60000000009d10f0>), ('Button_Help', 'hideHelpButto
n', 'Hide Help', <method InstallControlWindow.helpClicked of
InstallControlWindow instance at 60000000009d10f0>)]
        displayHelp: 1
      prevEnabled: 0
      prevButton: Button_Prev
      htmlFile: installing
      html:
      helpEnabled: 3
      nextEnabled: 0
      nextButtonInfo: None
      title: Installing Packages
      grabNext: 0
      prevButtonLabel: None
      searchPath: ['./', '/usr/share/anaconda/', './']
      helpButtonEnabled: 0
      nextButtonLabel: None
    numComplete: 0
    curPackage: {'package': <gtk.GtkLabel instance at 6000000000d04050>,
'summary': <gtk.GtkLabel instance at 6000000000d03fc0>, 'size':
<gtk.GtkLabel instance at 6000000000cf4580>}
    frobnicatingClist: 1
    clist: GtkCList instance, containing members:
      _o: <GtkObject of type GtkCList at 6000000000473110>
    adpix: GtkPixmap instance, containing members:
      _o: <GtkObject of type GtkPixmap at 6000000000d92940>
    totalProgress: GtkProgressBar instance, containing members:
      _o: <GtkObject of type GtkProgressBar at 6000000000cceb90>
    adbox: GtkEventBox instance, containing members:
      _o: <GtkObject of type GtkEventBox at 6000000000d92bd0>
    sizeComplete: 0
    pixcurnum: 0
    intf: Already dumped
    pixmaps: []
    status: {'total': {'packages': (0, 1), 'time': (0, 3), 'size': (0, 2)},
'completed': {'packages': (1, 1), 'time': (1, 3), 'size': (1, 2)},
'remaining': {'packages': (2, 1), 'time': (2, 3), 'size': (2, 2)}}
  firewall: Firewall instance, containing members:
    ports: []
    trustdevs: []
    dhcp: 0
    policy: 1
    ssh: 0
    custom: 1
    telnet: 0
    smtp: 0
    enabled: 0
    portlist:
    http: 0
    ftp: 0
  dbpath: None
  network: Network instance, containing members:
    netdevices: {'eth0': <network.NetworkDevice instance at 6000000000628f10>}
    gateway: 144.14.166.129
    secondaryNS:
    hostname: busted5
    primaryNS: 144.14.62.234
    domains: []
    isConfigured: 0
    readData: 0
    ternaryNS:
  fsset: FileSystemSet instance, containing members:
    migratedfs: 0
    mountcount: 5
    entries: [<fsset.FileSystemSetEntry instance at 6000000000628f40>,
<fsset.FileSystemSetEntry instance at 6000000000512850>,
<fsset.FileSystemSetEntry instance at 60000000004b6490>,
<fsset.FileSystemSetEntr
y instance at 6000000000122550>, <fsset.FileSystemSetEntry instance at
6000000000512940>]
    progressWindow: <method InstallInterface.progressWindow of
InstallInterface instance at 600000000070a010>
    waitWindow: <method InstallInterface.waitWindow of InstallInterface
instance at 600000000070a010>
    messageWindow: <method InstallInterface.messageWindow of
InstallInterface instance at 600000000070a010>
  hdList: None
firstStep: 0
method: CdromInstallMethod instance, containing members:
  currentDisc: 1
  tree: /mnt/source
  device: hdc
  progressWindow: <method InstallInterface.progressWindow of
InstallInterface instance at 600000000070a010>
  loopbackFile: /mnt/sysimage//rhinstall-stage2.img
  messageWindow: <method InstallInterface.messageWindow of InstallInterface
instance at 600000000070a010>
instPath: /mnt/sysimage
flags: Flags instance, containing members:
  flags: {'autostep': 0, 'expert': 0, 'setupFilesystems': 1, 'serial': 0,
'reconfig': 0, 'test': 0}
intf: Already dumped
step: 47
dispatch: Already dumped


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. use 4x ia64 LION
2. attempt to do Everything install with redhat public beta 2 roswell
install 8/19/01
3.
	

Actual Results:  see description

Expected Results:  hopefully rpmdb would be able to be opened

Additional info:
Comment 1 Brent Fox 2001-09-13 17:38:05 EDT
Can you run 'rpm --rebuilddb' and then try the upgrade?
Comment 2 Mike Sklar 2001-09-14 12:55:52 EDT
This is a fresh cdrom install that is bailing having problems opening the RPM
database on the stock 7.2 Roswell - beta2 8/19/01 ISO.
Comment 3 Brent Fox 2001-09-14 13:32:38 EDT
When the install crashes, can you press <Ctrl><Alt><F4> and see if there are any
cdrom related error messages?
Comment 4 Mike Sklar 2001-09-14 15:53:46 EDT
I tried putting the same CD image in another bigsur itanium and it installed
completely without error. I'll try using a different LION, then go back to the
machine which was exhibiting the problems. ttyl
Comment 5 Jeremy Katz 2001-09-14 17:26:42 EDT
Also, you might try and see if it just happens with more than 16 gigs of RAM
Comment 6 Mike Sklar 2001-09-18 13:29:12 EDT
I was able to build the 4x LION with a argument of 'mem=4G' passed to the linux
kernel just after issueing elilo from the EFI shell. The install completed
successfully.
Comment 7 Brent Fox 2001-09-20 14:22:57 EDT
katzj, does this look like a kernel problem?
Comment 8 Mike Sklar 2001-09-25 14:25:13 EDT
Possibly a problem with the boot kernel. I don't have any issues booting the
2.4.7-2smp kernel once the system is installed. It does properly detect all 20GB
of memory.
Comment 9 Bill Nottingham 2001-09-26 11:34:18 EDT
Um, the boot kernel *is* the SMP kernel.
Comment 10 Mike Sklar 2001-09-26 11:46:39 EDT
Yes, I've just verified that the smp kernel used to build the system as anaconda
runs, and the smp kernel used to boot the system after install are identical.

I cannot explain the behavior of why large memory systems (possibly >4GB) might
be a higher threshold, cannot install properly. Hopefully some other reports
will come in, or you can see this for yourselves on your own LIONs.
Comment 11 Brent Fox 2001-10-23 00:00:28 EDT
notting, do we have any Lions with more than 4 GB of RAM?
Comment 12 Brent Fox 2001-11-02 10:08:09 EST
notting, do we have any Lions with more than 4 GB of RAM?

Comment 13 Bill Nottingham 2001-11-02 10:30:54 EST
Yup, we have a few. I installed on a 32GB last week, FWIW.
Comment 14 Jeremy Katz 2003-02-26 12:55:17 EST
I remember fixing one way this could happen at some point but don't remember the
details anymore.  Also, we've moved to rpm 4.2 in our current codebase which
changes some things significantly as well.

Note You need to log in before you can comment on or make changes to this bug.